Errors
Errors are returned as a JSON Error object.
General MX Platform Errors
404 HTTP Status Response
- Problem: Either the API URL is incorrect or you're doing a POST or UPDATE request without setting the Content-type to application/json.
- Resolution: Check your URL and Content-type to ensure they're correct.
502 HTTP Status Response
- Problem: MX's API is currently down.
- Resolution: Contact MX for assistance.
503 HTTP Status Response "Service Temporarily Unavailable."
- Problem: MX's API is currently down for maintenance.
- Resolution: Try again later.
If there's a response body (not applicable for 404 or 502 responses), you'll see:
_10{_10 "error": "Error message from the request"_10}
User Errors
"User with guid {GUID} not found." (400 HTTP Status Response)
- Problem: The User
guid/external_guiddoesn't exist in the system. - Resolution: Check the User
guidto ensure it's correct.
"Invalid format for external user guid." (400 HTTP Status Response)
- Problem: A User
external_guidcan't begin with "USR-" as this is reserved for the system. - Resolution: Specify a different
external_guid.
"User already exists with guid {GUID}" (400 HTTP Status Response)
- Problem: The
external_guidalready exists in the system for the specified client. - Resolution: Specify a different
external_guidto create the User.
"Create user failed: Client must be associated." (500 HTTP Status Response)
- Problem: The
client_guidbeing sent isn't associated with the Accessor. - Resolution: Check the
client_guidto ensure it's correct.
"Failed to delete user: {SYSTEM_MESSAGE}"
- Problem: There was an error in the system, and the User couldn't be deleted.
- Resolution: Try again or contact the Integration Engineer.
Member Errors
"Member not found." (500 HTTP Status Response)
- Problem: The Member
guidorexternal_guiddoesn't exist in the system. - Resolution: Check the Member
guidto ensure it's correct.
"Invalid format for external member guid" (400 HTTP Status Response)
- Problem: A Member
external_guidcan't begin with "MBR-" as this is reserved for the system. - Resolution: Specify a different
external_guid.
"Member already exists with guid {GUID}" (400 HTTP Status Response)
- Problem: The
external_guidalready exists in the system for the specified client. - Resolution: Specify a different
external_guidto create the Member.
"Member with guid {GUID} not found" (400 HTTP Status Response)
- Problem: The member being deleted doesn't exist or has already been deleted.
- Resolution: Check the Member
guidto ensure it's correct.
"Failed to delete member: {SYSTEM_MESSAGE}"
- Problem: There was an error in the system, and the Member couldn't be deleted.
- Resolution: Try again or contact the Integration Engineer.
"Could not find account with id {ID} and member id {ID}"
- Problem: The specified account/member combination for the account delete endpoint couldn't be found.
- Resolution: Ensure that you have the correct
member_guid(internal or external) and that theaccount_idis correct (the same one you pass in the feed).
Other Errors
For all other errors, contact the Integration Engineer. Provide a detailed explanation of what REQUEST was sent and the RESPONSE you received.